Subject: Re: bug#75964: Switching the Emacs build to -Wswitch-enum in src/

From: Stefan Kangas <[email-masked]>
Date: Wed, 5 Feb 2025 14:20:12 -0800

Paul Eggert <[email-masked]> writes:

>> I very much doubt these techniques will make our situation
>> significantly better, if at all.
>
> Admittedly Emacs has more serious bugs than enum mismatches. However,
> checking these mismatches can help find mistakes or help clarify code.

We had Bug#75712, for example, which I believe Pip Cet found by enabling
-Wswitch-enum.  It would be nice to catch such bugs statically.